GFT Time Now
GFT is the abbreviation of French Guiana Time. Time zone offset of GFT is UTC-03. French Guiana Time is 3 hours behind from the UTC universal time. GFT current date is 28th Wednesday October 2026. Current time in GFT (GFT).
GFT Time
17:05:07
28 October 2026 Wednesday
GFT is the short way of referring to the time standard of French Guiana Time. It is effective in the country of French Guiana, which is located in northeast of South American continent and is an overseas territory of France. French Guiana Time is 3 hours behind the UTC universal time, and summer daylight saving time is not practiced in the country.
What time is it in French Guiana Time now? It is 17:05:07 right now.
French Guiana Time Date and Time Now in Various Formats
| Date Time Format | GFT Date Time Now |
|---|---|
| UTC | 2026-10-28T17:05:07Z |
| ISO-8601 | 2026-10-28T17:05:07+0000 |
| RFC 2822 | Wed, 28 Oct 2026 17:05:07 +0000 |
| RFC 850 | Wednesday, 28-Oct-26 17:05:07 UTC |
| RFC 1036 | Wed, 28 Oct 26 17:05:07 +0000 |
| RFC 1123 | Wed, 28 Oct 2026 17:05:07 +0000 |
| RFC 822 | Wed, 28 Oct 26 17:05:07 +0000 |
| RFC 3339 | 2026-10-28T17:05:07+00:00 |
| ATOM | 2026-10-28T17:05:07+00:00 |
| COOKIE | Wednesday, 28-Oct-2026 17:05:07 UTC |
| RSS | Wed, 28 Oct 2026 17:05:07 +0000 |
| W3C | 2026-10-28T17:05:07+00:00 |
| Unix Epoch | 1793207107 |
| YYYY-DD-MM HH:MM:SS | 2026-28-10 17:05:07 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-28-10 05:05:07 PM |
| DD-MM-YYYY HH:MM:SS | 28-10-2026 17:05:07 |
| MM-DD-YYYY HH:MM:SS | 10-28-2026 17:05:07 |